Skip to content

Manage collateral records.

Operations

getCollateral

POST

Retrieves collateral.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringrequired
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/getCollateral
POST /nexum/627/2022.01/collateral/getCollateral HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralSelectFields

POST

Retrieves collateral with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/getCollateralSelectFields
POST /nexum/627/2022.01/collateral/getCollateralSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "SelectableFields": {
    "IncludeAllCollateralFields": true,
    "CollateralFields": {
      "CollateralAppStatus": true,
      "CollateralOwner": true,
      "CreateDate": true,
      "Description": true,
      "ExpireDate": true,
      "FmLastPurgeDate": true,
      "LastFmDate": true,
      "Number": true,
      "RecordChangeDate": true,
      "RequiredDocumentList": true,
      "Type": true,
      "UserChar1": true,
      "UserChar2": true,
      "UserChar3": true,
      "UserChar4": true,
      "UserChar5": true,
      "UserChar6": true,
      "Value": true,
      "ValueDate": true,
      "ValueSource": true
    },
    "CollateralCollHoldSelectableFields": {
      "IncludeAllCollateralCollHoldFields": true,
      "CollateralCollHoldFields": {
        "AccountNumber": true,
        "Amount": true,
        "EffectiveDate": true,
        "ExpirationDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true
      }
    },
    "CollateralDocumentSelectableFields": {
      "IncludeAllCollateralDocumentFields": true,
      "CollateralDocumentFields": {
        "AccountNumber": true,
        "Branch": true,
        "Description": true,
        "DocumentDate": true,
        "ExcpDays": true,
        "ExcpNoticeCount": true,
        "ExcpNoticeCountCpWork": true,
        "ExcpNoticeDate": true,
        "ExcpNoticeOption": true,
        "ExpireDate": true,
        "LastFmDate": true,
        "Location": true,
        "Locator": true,
        "Number": true,
        "OfficerCode": true,
        "ReceivedDate": true,
        "RecordChangeDate": true,
        "SlId": true,
        "SlIdType": true,
        "Status": true
      },
      "CollateralDocumentTrackingSelectableFields": {
        "IncludeAllCollateralDocumentTrackingFields": true,
        "CollateralDocumentTrackingFields": {
          "CreationDate": true,
          "CreationTime": true,
          "ExpireDate": true,
          "FmLastDate": true,
          "Id": true,
          "IdType": true,
          "Locator": true,
          "RecordChangeDate": true,
          "TrackingCode": true,
          "Type": true,
          "UserAmount1": true,
          "UserAmount10": true,
          "UserAmount11": true,
          "UserAmount12": true,
          "UserAmount13": true,
          "UserAmount14": true,
          "UserAmount15": true,
          "UserAmount16": true,
          "UserAmount17": true,
          "UserAmount18": true
        }
      }
    },
    "CollateralFmHistorySelectableFields": {
      "IncludeAllCollateralFmHistoryFields": true,
      "CollateralFmHistoryFields": {
        "AccountNumber": true,
        "BatchSequence": true,
        "Branch": true,
        "ConfirmationSeq": true,
        "ConsoleNumber": true,
        "DataType": true,
        "FieldName": true,
        "FieldNumber": true,
        "FmType": true,
        "Id": true,
        "IdType": true,
        "LastFmDate": true,
        "NewCharacter": true,
        "NewDate": true,
        "NewMoney": true,
        "NewNumber": true,
        "NewRate": true,
        "OldCharacter": true,
        "OldDate": true,
        "OldMoney": true
      }
    },
    "CollateralTrackingSelectableFields": {
      "IncludeAllCollateralTrackingFields": true,
      "CollateralTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralSelectFieldsFilterChildren

POST

Retrieves collateral with selected fields and filtered children.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/getCollateralSelectFieldsFilterChildren
POST /nexum/627/2022.01/collateral/getCollateralSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "SelectableFields": {
    "IncludeAllCollateralFields": true,
    "CollateralFields": {
      "CollateralAppStatus": true,
      "CollateralOwner": true,
      "CreateDate": true,
      "Description": true,
      "ExpireDate": true,
      "FmLastPurgeDate": true,
      "LastFmDate": true,
      "Number": true,
      "RecordChangeDate": true,
      "RequiredDocumentList": true,
      "Type": true,
      "UserChar1": true,
      "UserChar2": true,
      "UserChar3": true,
      "UserChar4": true,
      "UserChar5": true,
      "UserChar6": true,
      "Value": true,
      "ValueDate": true,
      "ValueSource": true
    },
    "CollateralCollHoldSelectableFields": {
      "IncludeAllCollateralCollHoldFields": true,
      "CollateralCollHoldFields": {
        "AccountNumber": true,
        "Amount": true,
        "EffectiveDate": true,
        "ExpirationDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true
      }
    },
    "CollateralDocumentSelectableFields": {
      "IncludeAllCollateralDocumentFields": true,
      "CollateralDocumentFields": {
        "AccountNumber": true,
        "Branch": true,
        "Description": true,
        "DocumentDate": true,
        "ExcpDays": true,
        "ExcpNoticeCount": true,
        "ExcpNoticeCountCpWork": true,
        "ExcpNoticeDate": true,
        "ExcpNoticeOption": true,
        "ExpireDate": true,
        "LastFmDate": true,
        "Location": true,
        "Locator": true,
        "Number": true,
        "OfficerCode": true,
        "ReceivedDate": true,
        "RecordChangeDate": true,
        "SlId": true,
        "SlIdType": true,
        "Status": true
      },
      "CollateralDocumentTrackingSelectableFields": {
        "IncludeAllCollateralDocumentTrackingFields": true,
        "CollateralDocumentTrackingFields": {
          "CreationDate": true,
          "CreationTime": true,
          "ExpireDate": true,
          "FmLastDate": true,
          "Id": true,
          "IdType": true,
          "Locator": true,
          "RecordChangeDate": true,
          "TrackingCode": true,
          "Type": true,
          "UserAmount1": true,
          "UserAmount10": true,
          "UserAmount11": true,
          "UserAmount12": true,
          "UserAmount13": true,
          "UserAmount14": true,
          "UserAmount15": true,
          "UserAmount16": true,
          "UserAmount17": true,
          "UserAmount18": true
        }
      }
    },
    "CollateralFmHistorySelectableFields": {
      "IncludeAllCollateralFmHistoryFields": true,
      "CollateralFmHistoryFields": {
        "AccountNumber": true,
        "BatchSequence": true,
        "Branch": true,
        "ConfirmationSeq": true,
        "ConsoleNumber": true,
        "DataType": true,
        "FieldName": true,
        "FieldNumber": true,
        "FmType": true,
        "Id": true,
        "IdType": true,
        "LastFmDate": true,
        "NewCharacter": true,
        "NewDate": true,
        "NewMoney": true,
        "NewNumber": true,
        "NewRate": true,
        "OldCharacter": true,
        "OldDate": true,
        "OldMoney": true
      }
    },
    "CollateralTrackingSelectableFields": {
      "IncludeAllCollateralTrackingFields": true,
      "CollateralTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    }
  },
  "ChildrenSearchFilter": {
    "CollateralCollHoldFilter": {
      "Query": "string"
    },
    "CollateralDocumentFilter": {
      "Query": "string",
      "CollateralDocumentChildrenFilter": {
        "CollateralDocumentTrackingFilter": {
          "Query": "string"
        }
      }
    },
    "CollateralFmHistoryFilter": {
      "Query": "string"
    },
    "CollateralTrackingFilter": {
      "Query": "string"
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralCollHold

POST

Retrieves collateral collateral hold.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralCollHoldLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/getCollateralCollHold
POST /nexum/627/2022.01/collateral/getCollateralCollHold HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralCollHoldLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralCollHoldSelectFields

POST

Retrieves collateral collateral hold with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralCollHoldLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/getCollateralCollHoldSelectFields
POST /nexum/627/2022.01/collateral/getCollateralCollHoldSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralCollHoldLocator": 0,
  "SelectableFields": {
    "IncludeAllCollateralCollHoldFields": true,
    "CollateralCollHoldFields": {
      "AccountNumber": true,
      "Amount": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralCollHoldPagedList

POST

Retrieves a paged list of collateral collateral holds.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/collateral/getCollateralCollHoldPagedList
POST /nexum/627/2022.01/collateral/getCollateralCollHoldPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralCollHoldListSelectFields

POST

Retrieves a list of collateral collateral holds with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/getCollateralCollHoldListSelectFields
POST /nexum/627/2022.01/collateral/getCollateralCollHoldListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "SelectableFields": {
    "IncludeAllCollateralCollHoldFields": true,
    "CollateralCollHoldFields": {
      "AccountNumber": true,
      "Amount": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCollateralCollHoldSelectFields

POST

Searches collateral collateral holds with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/searchCollateralCollHoldSelectFields
POST /nexum/627/2022.01/collateral/searchCollateralCollHoldSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "SelectableFields": {
    "IncludeAllCollateralCollHoldFields": true,
    "CollateralCollHoldFields": {
      "AccountNumber": true,
      "Amount": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralCollHoldPagedListSelectFields

POST

Retrieves a paged list of collateral collateral holds with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/collateral/getCollateralCollHoldPagedListSelectFields
POST /nexum/627/2022.01/collateral/getCollateralCollHoldPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollateralCollHoldFields": true,
    "CollateralCollHoldFields": {
      "AccountNumber": true,
      "Amount": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCollateralCollHoldPagedSelectFields

POST

Searches collateral collateral holds with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/collateral/searchCollateralCollHoldPagedSelectFields
POST /nexum/627/2022.01/collateral/searchCollateralCollHoldPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollateralCollHoldFields": true,
    "CollateralCollHoldFields": {
      "AccountNumber": true,
      "Amount": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralDocument

POST

Retrieves collateral document.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralDocumentLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/getCollateralDocument
POST /nexum/627/2022.01/collateral/getCollateralDocument HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralDocumentSelectFields

POST

Retrieves collateral document with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralDocumentLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/getCollateralDocumentSelectFields
POST /nexum/627/2022.01/collateral/getCollateralDocumentSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "SelectableFields": {
    "IncludeAllCollateralDocumentFields": true,
    "CollateralDocumentFields": {
      "AccountNumber": true,
      "Branch": true,
      "Description": true,
      "DocumentDate": true,
      "ExcpDays": true,
      "ExcpNoticeCount": true,
      "ExcpNoticeCountCpWork": true,
      "ExcpNoticeDate": true,
      "ExcpNoticeOption": true,
      "ExpireDate": true,
      "LastFmDate": true,
      "Location": true,
      "Locator": true,
      "Number": true,
      "OfficerCode": true,
      "ReceivedDate": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Status": true
    },
    "CollateralDocumentTrackingSelectableFields": {
      "IncludeAllCollateralDocumentTrackingFields": true,
      "CollateralDocumentTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralDocumentSelectFieldsFilterChildren

POST

Retrieves collateral document with selected fields and filtered children.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralDocumentLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/getCollateralDocumentSelectFieldsFilterChildren
POST /nexum/627/2022.01/collateral/getCollateralDocumentSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "SelectableFields": {
    "IncludeAllCollateralDocumentFields": true,
    "CollateralDocumentFields": {
      "AccountNumber": true,
      "Branch": true,
      "Description": true,
      "DocumentDate": true,
      "ExcpDays": true,
      "ExcpNoticeCount": true,
      "ExcpNoticeCountCpWork": true,
      "ExcpNoticeDate": true,
      "ExcpNoticeOption": true,
      "ExpireDate": true,
      "LastFmDate": true,
      "Location": true,
      "Locator": true,
      "Number": true,
      "OfficerCode": true,
      "ReceivedDate": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Status": true
    },
    "CollateralDocumentTrackingSelectableFields": {
      "IncludeAllCollateralDocumentTrackingFields": true,
      "CollateralDocumentTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    }
  },
  "ChildrenSearchFilter": {
    "CollateralDocumentTrackingFilter": {
      "Query": "string"
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralDocumentPagedList

POST

Retrieves a paged list of collateral documents.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/collateral/getCollateralDocumentPagedList
POST /nexum/627/2022.01/collateral/getCollateralDocumentPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralDocumentListSelectFields

POST

Retrieves a list of collateral documents with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/getCollateralDocumentListSelectFields
POST /nexum/627/2022.01/collateral/getCollateralDocumentListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "SelectableFields": {
    "IncludeAllCollateralDocumentFields": true,
    "CollateralDocumentFields": {
      "AccountNumber": true,
      "Branch": true,
      "Description": true,
      "DocumentDate": true,
      "ExcpDays": true,
      "ExcpNoticeCount": true,
      "ExcpNoticeCountCpWork": true,
      "ExcpNoticeDate": true,
      "ExcpNoticeOption": true,
      "ExpireDate": true,
      "LastFmDate": true,
      "Location": true,
      "Locator": true,
      "Number": true,
      "OfficerCode": true,
      "ReceivedDate": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Status": true
    },
    "CollateralDocumentTrackingSelectableFields": {
      "IncludeAllCollateralDocumentTrackingFields": true,
      "CollateralDocumentTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCollateralDocumentSelectFields

POST

Searches collateral documents with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/searchCollateralDocumentSelectFields
POST /nexum/627/2022.01/collateral/searchCollateralDocumentSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "SelectableFields": {
    "IncludeAllCollateralDocumentFields": true,
    "CollateralDocumentFields": {
      "AccountNumber": true,
      "Branch": true,
      "Description": true,
      "DocumentDate": true,
      "ExcpDays": true,
      "ExcpNoticeCount": true,
      "ExcpNoticeCountCpWork": true,
      "ExcpNoticeDate": true,
      "ExcpNoticeOption": true,
      "ExpireDate": true,
      "LastFmDate": true,
      "Location": true,
      "Locator": true,
      "Number": true,
      "OfficerCode": true,
      "ReceivedDate": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Status": true
    },
    "CollateralDocumentTrackingSelectableFields": {
      "IncludeAllCollateralDocumentTrackingFields": true,
      "CollateralDocumentTrackingFields": {
        "CreationDate": true,
        "CreationTime": true,
        "ExpireDate": true,
        "FmLastDate": true,
        "Id": true,
        "IdType": true,
        "Locator": true,
        "RecordChangeDate": true,
        "TrackingCode": true,
        "Type": true,
        "UserAmount1": true,
        "UserAmount10": true,
        "UserAmount11": true,
        "UserAmount12": true,
        "UserAmount13": true,
        "UserAmount14": true,
        "UserAmount15": true,
        "UserAmount16": true,
        "UserAmount17": true,
        "UserAmount18": true
      }
    }
  },
  "SearchFilter": {
    "Query": "string",
    "CollateralDocumentChildrenFilter": {
      "CollateralDocumentTrackingFilter": {
        "Query": "string"
      }
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralDocumentPagedListSelectFields

POST

Retrieves a paged list of collateral documents with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/collateral/getCollateralDocumentPagedListSelectFields
POST /nexum/627/2022.01/collateral/getCollateralDocumentPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollateralDocumentFields": true,
    "CollateralDocumentFields": {
      "AccountNumber": true,
      "Branch": true,
      "Description": true,
      "DocumentDate": true,
      "ExcpDays": true,
      "ExcpNoticeCount": true,
      "ExcpNoticeCountCpWork": true,
      "ExcpNoticeDate": true,
      "ExcpNoticeOption": true,
      "ExpireDate": true,
      "LastFmDate": true,
      "Location": true,
      "Locator": true,
      "Number": true,
      "OfficerCode": true,
      "ReceivedDate": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Status": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCollateralDocumentPagedSelectFields

POST

Searches collateral documents with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/collateral/searchCollateralDocumentPagedSelectFields
POST /nexum/627/2022.01/collateral/searchCollateralDocumentPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollateralDocumentFields": true,
    "CollateralDocumentFields": {
      "AccountNumber": true,
      "Branch": true,
      "Description": true,
      "DocumentDate": true,
      "ExcpDays": true,
      "ExcpNoticeCount": true,
      "ExcpNoticeCountCpWork": true,
      "ExcpNoticeDate": true,
      "ExcpNoticeOption": true,
      "ExpireDate": true,
      "LastFmDate": true,
      "Location": true,
      "Locator": true,
      "Number": true,
      "OfficerCode": true,
      "ReceivedDate": true,
      "RecordChangeDate": true,
      "SlId": true,
      "SlIdType": true,
      "Status": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralDocumentTracking

POST

Retrieves collateral document tracking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralDocumentLocatorintegeroptional
CollateralDocumentTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/getCollateralDocumentTracking
POST /nexum/627/2022.01/collateral/getCollateralDocumentTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "CollateralDocumentTrackingLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralDocumentTrackingSelectFields

POST

Retrieves collateral document tracking with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralDocumentLocatorintegeroptional
CollateralDocumentTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/getCollateralDocumentTrackingSelectFields
POST /nexum/627/2022.01/collateral/getCollateralDocumentTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "CollateralDocumentTrackingLocator": 0,
  "SelectableFields": {
    "IncludeAllCollateralDocumentTrackingFields": true,
    "CollateralDocumentTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralDocumentTrackingPagedList

POST

Retrieves a paged list of collateral document tracking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralDocumentLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/collateral/getCollateralDocumentTrackingPagedList
POST /nexum/627/2022.01/collateral/getCollateralDocumentTrackingPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralDocumentTrackingListSelectFields

POST

Retrieves a list of collateral document tracking with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralDocumentLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/getCollateralDocumentTrackingListSelectFields
POST /nexum/627/2022.01/collateral/getCollateralDocumentTrackingListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "SelectableFields": {
    "IncludeAllCollateralDocumentTrackingFields": true,
    "CollateralDocumentTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCollateralDocumentTrackingSelectFields

POST

Searches collateral document tracking with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralDocumentLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/searchCollateralDocumentTrackingSelectFields
POST /nexum/627/2022.01/collateral/searchCollateralDocumentTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "SelectableFields": {
    "IncludeAllCollateralDocumentTrackingFields": true,
    "CollateralDocumentTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralDocumentTrackingPagedListSelectFields

POST

Retrieves a paged list of collateral document tracking with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralDocumentLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/collateral/getCollateralDocumentTrackingPagedListSelectFields
POST /nexum/627/2022.01/collateral/getCollateralDocumentTrackingPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollateralDocumentTrackingFields": true,
    "CollateralDocumentTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCollateralDocumentTrackingPagedSelectFields

POST

Searches collateral document tracking with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralDocumentLocatorintegeroptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/collateral/searchCollateralDocumentTrackingPagedSelectFields
POST /nexum/627/2022.01/collateral/searchCollateralDocumentTrackingPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollateralDocumentTrackingFields": true,
    "CollateralDocumentTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralFmHistoryPagedList

POST

Retrieves a paged list of collateral FM history.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/collateral/getCollateralFmHistoryPagedList
POST /nexum/627/2022.01/collateral/getCollateralFmHistoryPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralFmHistoryListSelectFields

POST

Retrieves a list of collateral FM history with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/getCollateralFmHistoryListSelectFields
POST /nexum/627/2022.01/collateral/getCollateralFmHistoryListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "SelectableFields": {
    "IncludeAllCollateralFmHistoryFields": true,
    "CollateralFmHistoryFields": {
      "AccountNumber": true,
      "BatchSequence": true,
      "Branch": true,
      "ConfirmationSeq": true,
      "ConsoleNumber": true,
      "DataType": true,
      "FieldName": true,
      "FieldNumber": true,
      "FmType": true,
      "Id": true,
      "IdType": true,
      "LastFmDate": true,
      "NewCharacter": true,
      "NewDate": true,
      "NewMoney": true,
      "NewNumber": true,
      "NewRate": true,
      "OldCharacter": true,
      "OldDate": true,
      "OldMoney": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCollateralFmHistorySelectFields

POST

Searches collateral FM history with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/searchCollateralFmHistorySelectFields
POST /nexum/627/2022.01/collateral/searchCollateralFmHistorySelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "SelectableFields": {
    "IncludeAllCollateralFmHistoryFields": true,
    "CollateralFmHistoryFields": {
      "AccountNumber": true,
      "BatchSequence": true,
      "Branch": true,
      "ConfirmationSeq": true,
      "ConsoleNumber": true,
      "DataType": true,
      "FieldName": true,
      "FieldNumber": true,
      "FmType": true,
      "Id": true,
      "IdType": true,
      "LastFmDate": true,
      "NewCharacter": true,
      "NewDate": true,
      "NewMoney": true,
      "NewNumber": true,
      "NewRate": true,
      "OldCharacter": true,
      "OldDate": true,
      "OldMoney": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralFmHistoryPagedListSelectFields

POST

Retrieves a paged list of collateral FM history with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/collateral/getCollateralFmHistoryPagedListSelectFields
POST /nexum/627/2022.01/collateral/getCollateralFmHistoryPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollateralFmHistoryFields": true,
    "CollateralFmHistoryFields": {
      "AccountNumber": true,
      "BatchSequence": true,
      "Branch": true,
      "ConfirmationSeq": true,
      "ConsoleNumber": true,
      "DataType": true,
      "FieldName": true,
      "FieldNumber": true,
      "FmType": true,
      "Id": true,
      "IdType": true,
      "LastFmDate": true,
      "NewCharacter": true,
      "NewDate": true,
      "NewMoney": true,
      "NewNumber": true,
      "NewRate": true,
      "OldCharacter": true,
      "OldDate": true,
      "OldMoney": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCollateralFmHistoryPagedSelectFields

POST

Searches collateral FM history with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/collateral/searchCollateralFmHistoryPagedSelectFields
POST /nexum/627/2022.01/collateral/searchCollateralFmHistoryPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollateralFmHistoryFields": true,
    "CollateralFmHistoryFields": {
      "AccountNumber": true,
      "BatchSequence": true,
      "Branch": true,
      "ConfirmationSeq": true,
      "ConsoleNumber": true,
      "DataType": true,
      "FieldName": true,
      "FieldNumber": true,
      "FmType": true,
      "Id": true,
      "IdType": true,
      "LastFmDate": true,
      "NewCharacter": true,
      "NewDate": true,
      "NewMoney": true,
      "NewNumber": true,
      "NewRate": true,
      "OldCharacter": true,
      "OldDate": true,
      "OldMoney": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralTracking

POST

Retrieves collateral tracking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/getCollateralTracking
POST /nexum/627/2022.01/collateral/getCollateralTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralTrackingLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralTrackingSelectFields

POST

Retrieves collateral tracking with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/getCollateralTrackingSelectFields
POST /nexum/627/2022.01/collateral/getCollateralTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralTrackingLocator": 0,
  "SelectableFields": {
    "IncludeAllCollateralTrackingFields": true,
    "CollateralTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralTrackingPagedList

POST

Retrieves a paged list of collateral tracking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/collateral/getCollateralTrackingPagedList
POST /nexum/627/2022.01/collateral/getCollateralTrackingPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralTrackingListSelectFields

POST

Retrieves a list of collateral tracking with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/getCollateralTrackingListSelectFields
POST /nexum/627/2022.01/collateral/getCollateralTrackingListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "SelectableFields": {
    "IncludeAllCollateralTrackingFields": true,
    "CollateralTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCollateralTrackingSelectFields

POST

Searches collateral tracking with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/searchCollateralTrackingSelectFields
POST /nexum/627/2022.01/collateral/searchCollateralTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "SelectableFields": {
    "IncludeAllCollateralTrackingFields": true,
    "CollateralTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getCollateralTrackingPagedListSelectFields

POST

Retrieves a paged list of collateral tracking with selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/collateral/getCollateralTrackingPagedListSelectFields
POST /nexum/627/2022.01/collateral/getCollateralTrackingPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollateralTrackingFields": true,
    "CollateralTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchCollateralTrackingPagedSelectFields

POST

Searches collateral tracking with pagination and selected fields.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/collateral/searchCollateralTrackingPagedSelectFields
POST /nexum/627/2022.01/collateral/searchCollateralTrackingPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllCollateralTrackingFields": true,
    "CollateralTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true
    }
  },
  "Query": "string",
  "nxAttributes": {
    "customFields": {}
  }
}

updateCollateralByID

POST

Updates collateral by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/updateCollateralByID
POST /nexum/627/2022.01/collateral/updateCollateralByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralUpdatableFields": {
    "Number": "0",
    "Type": 0,
    "Description": "string",
    "CollateralOwner": "string",
    "Value": 0,
    "ValueDate": "2026-01-01"
  },
  "CollateralCollHoldUpdateRequest": [],
  "CollateralDocumentUpdateRequest": [],
  "CollateralTrackingUpdateRequest": [],
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateCollateralCollHoldByID

POST

Updates collateral collateral hold by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralCollHoldLocatorintegeroptional
CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/updateCollateralCollHoldByID
POST /nexum/627/2022.01/collateral/updateCollateralCollHoldByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralCollHoldLocator": 0,
  "CollateralCollHoldUpdatableFields": {
    "Number": "0",
    "Type": 0,
    "Description": "string",
    "CollateralOwner": "string",
    "Value": 0,
    "ValueDate": "2026-01-01"
  },
  "CollateralNumber": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateCollateralDocumentByID

POST

Updates collateral document by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralDocumentLocatorintegeroptional
CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/updateCollateralDocumentByID
POST /nexum/627/2022.01/collateral/updateCollateralDocumentByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralDocumentLocator": 0,
  "CollateralDocumentUpdatableFields": {
    "Number": "0",
    "Type": 0,
    "Description": "string",
    "CollateralOwner": "string",
    "Value": 0,
    "ValueDate": "2026-01-01"
  },
  "CollateralDocumentTrackingUpdateRequest": [],
  "CollateralNumber": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateCollateralDocumentTrackingByID

POST

Updates collateral document tracking by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralDocumentTrackingLocatorintegeroptional
CollateralNumberstringoptional
CollateralDocumentLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/updateCollateralDocumentTrackingByID
POST /nexum/627/2022.01/collateral/updateCollateralDocumentTrackingByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralDocumentTrackingLocator": 0,
  "CollateralDocumentTrackingUpdatableFields": {
    "Number": "0",
    "Type": 0,
    "Description": "string",
    "CollateralOwner": "string",
    "Value": 0,
    "ValueDate": "2026-01-01"
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateCollateralTrackingByID

POST

Updates collateral tracking by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralTrackingLocatorintegeroptional
CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/collateral/updateCollateralTrackingByID
POST /nexum/627/2022.01/collateral/updateCollateralTrackingByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralTrackingLocator": 0,
  "CollateralTrackingUpdatableFields": {
    "Number": "0",
    "Type": 0,
    "Description": "string",
    "CollateralOwner": "string",
    "Value": 0,
    "ValueDate": "2026-01-01"
  },
  "CollateralNumber": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createCollateral

POST

Creates collateral.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
CollateralNumberstringoptional
POST/nexum/{sym}/2022.01/collateral/createCollateral
POST /nexum/627/2022.01/collateral/createCollateral HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralCreatableFields": {
    "Number": "0",
    "Type": 0,
    "Description": "string",
    "CollateralOwner": "string",
    "Value": 0,
    "ValueDate": "2026-01-01"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createCollateralCollHold

POST

Creates collateral collateral hold.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
CollateralCollHoldLocatorintegeroptional
POST/nexum/{sym}/2022.01/collateral/createCollateralCollHold
POST /nexum/627/2022.01/collateral/createCollateralCollHold HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralCollHoldCreatableFields": {
    "Number": "0",
    "Type": 0,
    "Description": "string",
    "CollateralOwner": "string",
    "Value": 0,
    "ValueDate": "2026-01-01"
  },
  "CollateralNumber": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createCollateralDocument

POST

Creates collateral document.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
CollateralDocumentLocatorintegeroptional
POST/nexum/{sym}/2022.01/collateral/createCollateralDocument
POST /nexum/627/2022.01/collateral/createCollateralDocument HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralDocumentCreatableFields": {
    "Number": "0",
    "Type": 0,
    "Description": "string",
    "CollateralOwner": "string",
    "Value": 0,
    "ValueDate": "2026-01-01"
  },
  "CollateralNumber": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createCollateralDocumentTracking

POST

Creates collateral document tracking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralDocumentLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
CollateralDocumentTrackingLocatorintegeroptional
POST/nexum/{sym}/2022.01/collateral/createCollateralDocumentTracking
POST /nexum/627/2022.01/collateral/createCollateralDocumentTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralDocumentTrackingCreatableFields": {
    "Number": "0",
    "Type": 0,
    "Description": "string",
    "CollateralOwner": "string",
    "Value": 0,
    "ValueDate": "2026-01-01"
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createCollateralTracking

POST

Creates collateral tracking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
CollateralTrackingLocatorintegeroptional
POST/nexum/{sym}/2022.01/collateral/createCollateralTracking
POST /nexum/627/2022.01/collateral/createCollateralTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralTrackingCreatableFields": {
    "Number": "0",
    "Type": 0,
    "Description": "string",
    "CollateralOwner": "string",
    "Value": 0,
    "ValueDate": "2026-01-01"
  },
  "CollateralNumber": "string",
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteCollateralCollHold

POST

Deletes collateral collateral hold.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralCollHoldLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/collateral/deleteCollateralCollHold
POST /nexum/627/2022.01/collateral/deleteCollateralCollHold HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralCollHoldLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteCollateralDocument

POST

Deletes collateral document.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralDocumentLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/collateral/deleteCollateralDocument
POST /nexum/627/2022.01/collateral/deleteCollateralDocument HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteCollateralDocumentTracking

POST

Deletes collateral document tracking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralDocumentLocatorintegeroptional
CollateralDocumentTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/collateral/deleteCollateralDocumentTracking
POST /nexum/627/2022.01/collateral/deleteCollateralDocumentTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "CollateralDocumentTrackingLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deleteCollateralTracking

POST

Deletes collateral tracking.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/collateral/deleteCollateralTracking
POST /nexum/627/2022.01/collateral/deleteCollateralTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralTrackingLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}